%define module_name backports.ssl_match_hostname
%define fullversion %{version}%{alphatag}

Name:           python-backports-ssl_match_hostname
Version:        3.4.0.2
Release:        %mkrel 2
Summary:        The ssl.match_hostname() function from Python 3
Group:          Development/Python

License:        MIT
URL:            https://bitbucket.org/brandon/backports.ssl_match_hostname
Source0:        https://pypi.python.org/packages/source/b/%{module_name}/%{module_name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
The Secure Sockets layer is only actually secure if you check the hostname in
the certificate returned by the server to which you are connecting, and verify
that it matches to hostname that you are trying to reach.

But the matching logic, defined in RFC2818, can be a bit tricky to implement on
your own. So the ssl package in the Standard Library of Python 3.2 now includes
a match_hostname() function for performing this check instead of requiring
every application to implement the check separately.

This backport brings match_hostname() to users of earlier versions of Python.
The actual code inside comes verbatim from Python 3.2.


%prep
%setup -qn %{module_name}-%{version}
mv src/backports/ssl_match_hostname/README.txt ./


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

%pre
rm -rf /usr/lib/python2.7/site-packages/backports.ssl_match_hostname-3.4.0.2-py2.7.egg-info > /dev/null 2>&1
 
%files
%doc README.txt
%{python_sitelib}/*


%changelog
* Fri Dec 13 2013 billybot <billybot> 3.4.0.2-2pclos2013
- fix updating

* Fri Dec 13 2013 billybot <billybot> 3.4.0.2-1pclos2013
- import into pclos
